    disp('Test 1 (baseline, Refine = 1)')
    odeOpt = odeset ( 'Events', [], 'InitialStep', 1, 'OutputFcn', [], ...
      'Refine', 1, 'MaxStep', 1 )
    disp('**Part 1: variable output')
    [t, y] = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
    disp('**Part 2: struct output')
    structOut = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
    
    disp('-------------------')
    disp('Test 2 (baseline, Refine = 3)')
    odeOpt = odeset ( 'Events', [], 'InitialStep', 1, 'OutputFcn', [], ...
      'Refine', 3, 'MaxStep', 1 )
    disp('**Part 1: variable output')
    [t, y] = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
    disp('**Part 2: struct output')
    structOut = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
    
    disp('-------------------')
    disp('Test 3 (Events, Refine = 3)')
    odeOpt = odeset ( 'Events', @testEvent, 'InitialStep', 1, 'OutputFcn', [], ...
      'Refine', 3, 'MaxStep', 1 )
    disp('**Part 1: variable output')
    [t, y] = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
    disp('**Part 2: struct output')
    structOut = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )


    disp('-------------------')
    disp('Test 4 (OutputFcn, Refine = 3)')
    odeOpt = odeset ( 'Events', [], 'InitialStep', 1, 'OutputFcn', @testFuncOut, ...
      'Refine', 3, 'MaxStep', 1 )
    disp('**Part 1: variable output')
    [t, y] = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
    disp('**Part 2: struct output')
    structOut = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )

    disp('-------------------')
    disp('Test 5 (Events and OutputFcn, Refine = 3)')
    odeOpt = odeset ( 'Events', @testEvent, 'InitialStep', 1, 'OutputFcn', @testFuncOut, ...
      'Refine', 3, 'MaxStep', 1 )
    disp('**Part 1: variable output')
    [t, y] = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
    disp('**Part 2: struct output')
    structOut = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
    
    disp('-------------------')
    disp('Test 6 (fixed time with Events and OutputFcn, Refine = 3)')
    odeOpt = odeset ( 'Events', @testEvent, 'InitialStep', 1, 'OutputFcn', @testFuncOut, ...
      'Refine', 3, 'MaxStep', 1 )
    disp('**Part 1: variable output')
    [t, y] = ode45 ( @(t,y) 1, [0,1.1,2.1,2.5], [0], odeOpt )
    disp('**Part 2: struct output')
    structOut = ode45 ( @(t,y) 1, [0,1.1,2.1,2.5], [0], odeOpt )
